Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface StatelessSessionBuilder

All Known Implementing Classes:
  SessionFactoryImpl.StatelessSessionBuilderImpl

    public interface StatelessSessionBuilder

Represents a consolidation of all stateless session creation options into a builder style delegate.

Method Summary
`StatelessSessionBuilder` | `connection(Connection connection)` Adds a specific connection to the session options
`StatelessSession` | `openStatelessSession()` Opens a session with the specified options.
`StatelessSessionBuilder` | `tenantIdentifier(String tenantIdentifier)` Define the tenant identifier to be associated with the opened session.

Method Detail

### openStatelessSession

    StatelessSession openStatelessSession()

  Opens a session with the specified options.

  Returns:
    The session

### connection

    StatelessSessionBuilder connection(Connection connection)

  Adds a specific connection to the session options

  Parameters:
    `connection` - The connection to use.
  Returns:
    `this`, for method chaining

### tenantIdentifier

    StatelessSessionBuilder tenantIdentifier(String tenantIdentifier)

  Define the tenant identifier to be associated with the opened session.

  Parameters:
    `tenantIdentifier` - The tenant identifier.
  Returns:
    `this`, for method chaining

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.